import graphene
from graphene import InputObjectType


class ProjectInput(InputObjectType):
    title = graphene.String()
    description = graphene.String()
    objectives = graphene.String()
    appearance = graphene.String()


class AddProjectArgument(ProjectInput):
    pass


class UpdateProjectArgument(ProjectInput):
    id = graphene.ID(required=True)
    final = graphene.Boolean()


class ProjectEntryInput(InputObjectType):
    description = graphene.String()
    document_url = graphene.String()


class AddProjectEntryArgument(ProjectEntryInput):
    project = graphene.ID(required=True)


class UpdateProjectEntryArgument(ProjectEntryInput):
    id = graphene.ID(required=True)

